<?php
namespace Claromentis\People\Subscriber;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_104d2e65fd6a12ea47809e77" . "9894b517" => base64_decode("T25EZWxldGVVc2" . "Vy"), "_8973800324bb9" . "0d37ffd58aa1c2" . "b1e02" => base64_decode("cmVh" . "c3Np" . "Z25f" . "dG8="), "_cceb787dafa9ce5ed8b" . "59ce74fd08543" => base64_decode("YXBwc1" . "9yZWFz" . "c2lnbg" . "=="));
use ClaPlugins;
use Claromentis\People\Event\DeleteUserEvent;
use Claromentis\People\Event\PeopleEventType;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class DeleteSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [PeopleEventType::DELETE_USER => [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_104d2e65fd6a12ea47809e779" . "894b517"], 100]];
    }
    public function OnDeleteUser(DeleteUserEvent $event)
    {
        $user_id = $event->GetUserId();
        if (!$user_id) {
            return;
        }
        $_b1871640a171314067a68a2389e3477c = $event[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8973800324bb9" . "0d37ffd58aa1c2" . "b1e02"]] ?? null;
        $_cceb787dafa9ce5ed8b59ce74fd08543 = $event[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_cceb787dafa9ce5ed8b59ce" . "74fd08543"]] ?? null;
        $_f13a90fb29e285af3b10509392510684 = new \Claromentis\People\UsersDelete($user_id);
        $_f13a90fb29e285af3b10509392510684->PrepareDelete($_b1871640a171314067a68a2389e3477c, $_cceb787dafa9ce5ed8b59ce74fd08543);
        $_f13a90fb29e285af3b10509392510684->CleanupSystem();
        $_f13a90fb29e285af3b10509392510684->DeleteAccount();
        ClaPlugins::I()->DeleteUser($user_id);
    }
}